
/*
 * trmath.h
 */
#ifndef TRMATH_H
#define TRMATH_H 1

/*
 * Data structures
 */
typedef struct {  // vector structure for VectorMultiply
   double x;
   double y;
   double z;
   } m_vector;

/*
 * Prototypes
 */
float Square(int x);
float Distance(int x0, int y0, int z0, int x1, int y1, int z1);
void  MatrixMultiply(double *M1, double *M2, double *Result);
void  VectorMultiply(m_vector *V1, double *M2, m_vector *Result);
void  SetIdentity(double *matrix);

#endif // TRMATH_H